AnsweredAssumed Answered

Alfresco-5.0.d problems with SharePoint interface

Question asked by fvincenti on May 5, 2015
Latest reply on May 28, 2015 by fvincenti
Hi friends of the forum,
I have the following problem with SharePoint interface in Alfresco-5.0.d which I installed from:
alfresco-community-5.0.d-installer-linux-x64.bin
choosing easy installation.
When I try to open a document using function “Edit Online” (available in site only)  I get the following message:
"Could not start MS Office"
and nothing happens, both alfresco.log and catalina.out do not show any message.

I made a first check of the installation and all seemed to be OK, so I started to analyze the context to configure all the features offered.
The first aspect I wanted to start was the interface with SharePoint and I found the Vti module already installed:
this is the answer of mmt list:
"Module 'org.alfresco.module.vti' installed in 'tomcat/webapps/alfresco'
   -    Title:        Vti
   -    Version:      1.3
   -    Install Date: Mon Apr 13 14:26:25 CEST 2015
   -    Description:   Alfresco Vti Extension, provides Sharepoint protocol"
And this is what I found under amps:
"/usr/local/alfresco-5.0.d/amps/alfresco-spp.amp"

So I start to check if SharePoint works.
-   First, I try the following command:
"lsof –i TCP:7070"
which answers:
"java    16928 root  555u  IPv6 52348976      0t0  TCP *:arcp (LISTEN)"
-   Then I type in a firefox browser:
"http://IP_to_my_server:7070"
which asks for authentication and, then, shows the following message:
“This is the Alfresco SharePoint Module…….”
-   Moreover, for the documents inside a site, it is present the option “Edit Online”.
-   Windows registry are already configured for a previous release of Alfresco (4.0.d).

But I find the following abnormalities (?)
-   the file:
"alfresco-global.properties"
does not contain the following lines:
"vti.server.port=7070
vti.server.external.host=http://IP_to_my_server
vti.server.external.port=7070"
If I insert these lines and restart Alfresco, I get the following errors under catalina.out:
"2015-05-04 10:38:09,073  ERROR [web.context.ContextLoader] [localhost-startStop-1] Context initialization failed
org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'vtiUrlHelper' defined in class path resource [alfresco/module/org.alfresco.mo
dule.vti/context/vti-context.xml]: Invocation of init method failed; nested exception is java.lang.IllegalArgumentException: Unable to construct valid Sharepoint URL.
……………………………………………………………………………………………………………………………………..
Caused by: java.lang.IllegalArgumentException: Unable to construct valid Sharepoint URL.
……………………………………………………………………………………………………………………………………..
Caused by: java.net.URISyntaxException: Expected closing bracket for IPv6 address at index 13: http://[http://IP_to_my_server]:7070/alfresco
……………………………………………………………………………………………………………………………………………
SEVERE: Exception sending context initialized event to listener instance of class org.alfresco.web.app.ContextLoaderListener
org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'vtiUrlHelper' defined in class path resource [alfresco/module/org.alfresco.module.vti/context/vti-context.xml]: Invocation of init method failed; nested exception is java.lang.IllegalArgumentException: Unable to construct valid Sharepoint URL".
-   The directory:
…./alfresco/WEB-INF/classes/alfresco/module/org.alfresco.module.vti/context/
does not exist.
-   I unzipped (using jar) alfresco-spp.amp but context is not present.

It seems that the directory "context" must be present.

I searched the alfresco forums but I do not find answers for my problem and I can not find the way to download a new "alfresco-community-spp-5.0.d.amp" to check if this new one has the context directory. I do not think that would be a good idea to install  an older version.
The server environment I am talking about is the following:
-   Operating System   Linux Centos 6.6
-   Data Base      PostgreSQL-9.3.6
-   Java         java version "1.8.0_31"
-   Tomcat      Apache Tomcat/7.0.59
-   Alfresco-5.0.d      using LibreOffice
The client is as follow:
-   Operating System   Windows 7
-   Browser      Firefox

Every help will be appreciated.
Thanks in advance
Frank

Outcomes